Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.jaxp
Class URIResourceResolver

    java.lang.Object
      com.saxonica.jaxp.URIResourceResolver

All Implemented Interfaces:
  URIResolver

    public class URIResourceResolver

extends Object
implements URIResolver

This class implements the JAXP URIResourceResolver as a wrapper around a DOM Level 3 LSResourceResolver. This serves two purposes: it allows the same underlying object to be used in both roles, and it allows an LSResourceResolver to be passed around the system in places where a URIResolver is expected, for example in the PipelineConfiguration

Constructor Summary
`URIResourceResolver(LSResourceResolver resolver)`

Method Summary
`LSResourceResolver` | `getLSResourceResolver()`
`Source` | `resolve(String href, String base)` Called by an XSLT processor when it encounters an xsl:include, xsl:import, or document() function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIResourceResolver

    public URIResourceResolver(LSResourceResolver resolver)

Method Detail

### getLSResourceResolver

    public LSResourceResolver getLSResourceResolver()

### resolve

    public Source resolve(String href,
                          String base)
                   throws TransformerException

  Called by an XSLT processor when it encounters an xsl:include, xsl:import, or document() function.

  Specified by:
    `resolve` in interface `URIResolver`
  Parameters:
    `href` - An href attribute, which may be relative or absolute.
    `base` - The base URI against which the first argument will be made absolute if the absolute URI is required.
  Returns:
    A Source object, or null if the href cannot be resolved, and the processor should try to resolve the URI itself.
  Throws:
    `TransformerException` - if an error occurs when trying to resolve the URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.